org.apache.ignite.spi.systemview.view

## Class SnapshotView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.SnapshotView

    public class SnapshotView
    extends Object

Snapshot representation for a `SystemView`.

### Field Summary

Fields
`static String` `SNAPSHOT_SYS_VIEW` Snapshot system view name.
`static String` `SNAPSHOT_SYS_VIEW_DESC` Snapshot system view description.

### Constructor Summary

Constructors
Constructor and Description
`SnapshotView(String name, String consistentId, String baselineNodes, String cacheGrps)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `baselineNodes()`
`String` `cacheGroups()`
`String` `consistentId()`
`String` `name()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SNAPSHOT_SYS_VIEW

    public static final String SNAPSHOT_SYS_VIEW

Snapshot system view name.

See Also:
  Constant Field Values

#### SNAPSHOT_SYS_VIEW_DESC

    public static final String SNAPSHOT_SYS_VIEW_DESC

Snapshot system view description.

See Also:
  Constant Field Values

### Constructor Detail

#### SnapshotView

    public SnapshotView(String name,
                        String consistentId,
                        String baselineNodes,
                        String cacheGrps)

Parameters:
  `name` - Snapshot name.
  `consistentId` - Node consistent ID.
  `baselineNodes` - Baseline nodes affected by the snapshot.
  `cacheGrps` - Cache group names that were included in the snapshot.

### Method Detail

#### name

    public String name()

Returns:
  Snapshot name.

#### consistentId

    public String consistentId()

Returns:
  Node consistent ID.

#### baselineNodes

    public String baselineNodes()

Returns:
  Baseline nodes affected by the snapshot.

#### cacheGroups

    public String cacheGroups()

Returns:
  Cache group names that were included in the snapshot.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022